import sys
forge = sys.modules["forge"]

def setup(module):
	srcList = [	"FlatTree",
				"QuadTree",
				"SurfaceAccessorBase.cc",
				"SurfaceBase.cc",
				"SurfaceMRP.cc",
				"SurfaceCylinder.cc",
				"SurfaceDisk.cc",
				"SurfaceOBJ.cc",
				"SurfacePlane.cc",
				"SurfaceSphere.cc",
				"SurfaceTriangles.cc",
				"surface.pmh",
				"surfaceDL" ]

	dll = module.DLL( "fexSurfaceDL", srcList )

	deplibs = forge.corelibs + [
				"feSignalLib",
				"fexMathLib",
				"fexGeometryDLLib",
				"fexDataToolDLLib"]

	forge.deps( ["fexSurfaceDLLib"], deplibs )

	forge.tests += [
		("inspect.exe",	"fexSurfaceDL",						None,	None) ]

	module.Module('test')
